#### D.15.14.34 isPositive

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  isPositive()

Purpose:
  Computes whether the multigrading of the ring is positive. For computation theorem 8.6 of the Miller/Sturmfels book is used.

Returns:
  true if the multigrading is positive

Example:

    LIB "multigrading.lib";
    printlevel = 3;
    ring r = 0,(x,y),dp;
    intmat A[1][2]=-1,1;
    setBaseMultigrading(A);
    isPositive();
    ==> 0
    intmat B[1][2]=1,1;
    setBaseMultigrading(B);
    isPositive(B);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.